package com.ruoyi.project.sems.safecheck.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 每周个人安全检查对象 t_spec_personweekcheck
 *
 * @author Li
 * @date 2023-08-29
 */
public class TSpecPersonweekcheck extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 装置名称 */
    @Excel(name = "装置名称")
    private String plantCode;

    private String plants;

    /** 状态 0 ：正常 ；-1：删除 */
    private Long delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private Long createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 修改人 */
    @Excel(name = "修改人")
    private Long updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 检查日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "周排查日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date checkDate;

    @Excel(name = "确认状态", readConverterExp = "0=未确认,1=已确认")
    private Integer isConfirm;

    /** 查询开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date startDate;

    /** 查询结束日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date endDate;

    /** 安全员用户id */
    @Excel(name = "安全员用户id")
    private Long checkerId;

    @Excel(name = "安全员用户")
    private String checkerName;

    /** 周 */
    @Excel(name = "周")
    private String weekNo;

    /** 上周安全风险隐患问题整改核实情况 */
    @Excel(name = "上周安全风险隐患问题整改核实情况")
    private String lastWeekRisk;

    /** 本周主要安全风险隐患和整改情况 */
    @Excel(name = "本周主要安全风险隐患和整改情况")
    private String thisWeekRisk;

    /** 本周安全管理情况评价 */
    @Excel(name = "本周安全管理情况评价")
    private String safeCondition;

    /** 下周工作重点 */
    @Excel(name = "下周工作重点")
    private String nextWeekWork;

    /** 被代理人id */
    private Long agentId;

    /** 被代理人 */
    private String agentName;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(Long createrCode)
    {
        this.createrCode = createrCode;
    }

    public Long getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(Long updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public Long getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setCheckDate(Date checkDate)
    {
        this.checkDate = checkDate;
    }

    public Date getCheckDate()
    {
        return checkDate;
    }
    public void setCheckerId(Long checkerId)
    {
        this.checkerId = checkerId;
    }

    public Long getCheckerId()
    {
        return checkerId;
    }
    public void setWeekNo(String weekNo)
    {
        this.weekNo = weekNo;
    }

    public String getWeekNo()
    {
        return weekNo;
    }
    public void setLastWeekRisk(String lastWeekRisk)
    {
        this.lastWeekRisk = lastWeekRisk;
    }

    public String getLastWeekRisk()
    {
        return lastWeekRisk;
    }
    public void setThisWeekRisk(String thisWeekRisk)
    {
        this.thisWeekRisk = thisWeekRisk;
    }

    public String getThisWeekRisk()
    {
        return thisWeekRisk;
    }
    public void setSafeCondition(String safeCondition)
    {
        this.safeCondition = safeCondition;
    }

    public String getSafeCondition()
    {
        return safeCondition;
    }
    public void setNextWeekWork(String nextWeekWork)
    {
        this.nextWeekWork = nextWeekWork;
    }

    public String getNextWeekWork()
    {
        return nextWeekWork;
    }

    public String getCheckerName() {
        return checkerName;
    }

    public void setCheckerName(String checkerName) {
        this.checkerName = checkerName;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public Integer getIsConfirm() {
        return isConfirm;
    }

    public void setIsConfirm(Integer isConfirm) {
        this.isConfirm = isConfirm;
    }

    public Long getAgentId() {
        return agentId;
    }

    public void setAgentId(Long agentId) {
        this.agentId = agentId;
    }

    public String getPlants() {
        return plants;
    }

    public void setPlants(String plants) {
        this.plants = plants;
    }

    public String getAgentName() {
        return agentName;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("plantCode", getPlantCode())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("checkDate", getCheckDate())
            .append("checkerId", getCheckerId())
            .append("weekNo", getWeekNo())
            .append("lastWeekRisk", getLastWeekRisk())
            .append("thisWeekRisk", getThisWeekRisk())
            .append("safeCondition", getSafeCondition())
            .append("nextWeekWork", getNextWeekWork())
            .toString();
    }
}
